#!/usr/bin/env bash
set -ue
{% from 'macros.jinja' import repository %}

echo "Build {{repository(registry, group, name)}} docker image"

DOCKERFILE_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")/.." &> /dev/null && pwd)
TAG=
TAG=$(cat "$DOCKERFILE_DIR"/tag)

(cd "${DOCKERFILE_DIR}"
docker build --pull -t {{repository(registry, group, name)}}:"${TAG}" . )

